Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.common
Class StartBrowser

    java.lang.Object
      com.bea.p13n.common.StartBrowser

All Implemented Interfaces
  Runnable, T3StartupDef

    public class StartBrowser

extends Object
implements Runnable, T3StartupDef

This startup class displays a message in the server shell informing the user which URL can be used to access the Portal samples. On Windows, a browser will be automatically launched to the appropriate URL.

Constructor Summary
`StartBrowser()` Default constructor.
`StartBrowser(String host, String port, String path)` Constructs a StartBrowser with the specified host and port values.

Method Summary
`void` | `run()` Loops indefinitely trying to create a socket to host/port waits sleepTime in between each try.
`void` | `setServices(T3ServicesDef services)`
`String` | `startup(String name, Hashtable args)` Print message in the server shell informing the user which URL can be used to launch the browser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StartBrowser

    public StartBrowser(String host,
                        String port,
                        String path)

  Constructs a StartBrowser with the specified host and port values.

  Parameters
    `host` - hostname
    `port` - listen port
    `path` -

### StartBrowser

    public StartBrowser()

  Default constructor.

Method Detail

### setServices

    public void setServices(T3ServicesDef services)

  Specified by:
    `setServices` in interface `T3StartupDef`

### run

    public void run()

  Loops indefinitely trying to create a socket to host/port waits sleepTime in between each try. On a successful socket create, start browser.

  Specified by:
    `run` in interface `Runnable`

### startup

    public String startup(String name,
                          Hashtable args)
                   throws Exception

  Print message in the server shell informing the user which URL can be used to launch the browser. On Windows, start a new thread to launch the browser.

  Specified by:
    `startup` in interface `T3StartupDef`
  Throws
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.